Debian Bug report logs - #560202
lxnm not installable together with lxde

version graph

Package: lxnm; Maintainer for lxnm is (unknown);

Reported by: Jun NOGATA <nogajun@gmail.com>

Date: Wed, 9 Dec 2009 16:42:08 UTC

Severity: serious

Fixed in version 0.2.2+svn20080909-3+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#560202; Package live-helper. (Wed, 09 Dec 2009 16:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jun NOGATA <nogajun@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 09 Dec 2009 16:42:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jun NOGATA <nogajun@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: LXDE package list can't be used squeeze/sid
Date: Thu, 10 Dec 2009 01:41:22 +0900
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 2.0~a2-1
Severity: normal


I configured lh config and build. 

$ lh config \
  --distribution squeeze \
  --packages-lists "lxde" 

$ sudo lh build

-----
P: Begin installing packages...
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  lxde: Depends: lxde-core (>= 0.4.2-3) but it is not going to be installed
E: Broken packages
P: Begin unmounting filesystems...
----

Is lxnm package depends broken?
I changing lxde package list. (attached lxde file)
Please fix lxde package list.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system
ii  debootstrap                   1.0.20     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools        3.0.6-1                utilities for making and checking 
ii  fakeroot          1.14.4-1               Gives a fake root environment
ii  genext2fs         1.4.1-2.2              ext2 filesystem generator for embe
ii  genisoimage       9:1.1.10-1             Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memt <none>                 (no description available)
ii  mtd-tools         20090606-1             dummy package for transition purpo
ii  mtd-utils [mtd-to 20090606-1             Memory Technology Device Utilities
ii  mtools            4.0.10-1               Tools for manipulating MSDOS files
ii  parted            1.8.8.git.2009.07.19-5 The GNU Parted disk partition resi
ii  squashfs-tools    1:4.0-6                Tool to create and append to squas
ii  sudo              1.7.2p1-1              Provide limited super user privile
ii  syslinux          2:3.83+dfsg-3          utilities for the syslinux bootloa
ii  uuid-runtime      2.16.2-0               runtime components for the Univers
ii  win32-loader      0.6.13                 Debian-Installer loader for win32

-- no debconf information
[lxde (text/x-c, attachment)]

Reply sent to daniel@debian.org:
You have taken responsibility. (Wed, 09 Dec 2009 17:06:15 GMT) Full text and rfc822 format available.

Notification sent to Jun NOGATA <nogajun@gmail.com>:
Bug acknowledged by developer. (Wed, 09 Dec 2009 17:06:15 GMT) Full text and rfc822 format available.

Message #10 received at 560202-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jun NOGATA <nogajun@gmail.com>
Cc: 560202-done@bugs.debian.org
Subject: Re: Bug#560202: live-helper: LXDE package list can't be used squeeze/sid
Date: Wed, 09 Dec 2009 18:02:56 +0100
Jun NOGATA wrote:
> Is lxnm package depends broken?

apparently, but individual package installability in testing is not a 
bug in live-helper, nothing that we can do about, and normal during the 
development of the distribution. just wait until the fixes migrate to 
testing, or pin the fixed version from unstable.

> I changing lxde package list. (attached lxde file)
> Please fix lxde package list.

this 'fix' is not a fix, it's changing the resulting system. i'm not 
aware that upstream deprecates lxnm, so we'll keep using it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#560202; Package live-helper. (Wed, 09 Dec 2009 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 09 Dec 2009 17:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 560202@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jun NOGATA <nogajun@gmail.com>
Cc: 560202@bugs.debian.org
Subject: Re: Bug#560202: live-helper: LXDE package list can't be used squeeze/sid
Date: Wed, 09 Dec 2009 18:31:45 +0100
reopen 560202
reassign 560202
severity 560202 serious
retitle 560202 lxnm not installable together with lxde
thanks

Daniel Baumann wrote:
> Jun NOGATA wrote:
>> Is lxnm package depends broken?
> 
> apparently, but individual package installability in testing is not a 
> bug in live-helper, nothing that we can do about, and normal during the 
> development of the distribution. just wait until the fixes migrate to 
> testing, or pin the fixed version from unstable.

well, actually it should be reassigned against lxnm instead.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Dec 2009 17:33:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Dec 2009 17:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'lxnm not installable together with lxde' from 'live-helper: LXDE package list can't be used squeeze/sid' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Dec 2009 17:33:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-helper' to 'lxnm'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Dec 2009 18:03:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a2-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Dec 2009 18:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#560202; Package lxnm. (Fri, 18 Dec 2009 07:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Fri, 18 Dec 2009 07:21:02 GMT) Full text and rfc822 format available.

Message #30 received at 560202@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: 560202@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: lxnm not installable together with lxde
Date: Fri, 18 Dec 2009 15:01:48 +0800
Hi Daniel,

Thanks for reassigned this from package 'live-helper' to 'lxnm', so
that I noticed this problem.

The lxnm and lxpanel-netstat-plugin are both deprecated. Please feel
free to drop it in live-helper's lxde package list. And use wicd or
network-manager-gnome instead.

I'd request RM from squeeze for lxnm soon.

Best regards,

-Andrew





Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#560202; Package lxnm. (Fri, 18 Dec 2009 11:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Fri, 18 Dec 2009 11:18:10 GMT) Full text and rfc822 format available.

Message #35 received at 560202@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Andrew Lee <ajqlee@debian.org>
Cc: 560202@bugs.debian.org
Subject: Re: lxnm not installable together with lxde
Date: Fri, 18 Dec 2009 12:15:51 +0100
Andrew Lee wrote:
> The lxnm and lxpanel-netstat-plugin are both deprecated. Please feel
> free to drop it in live-helper's lxde package list. And use wicd or
> network-manager-gnome instead.

i've replaced it with wicd, thanks for the note.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#560202; Package lxnm. (Fri, 18 Dec 2009 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Fri, 18 Dec 2009 11:24:03 GMT) Full text and rfc822 format available.

Message #40 received at 560202@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: daniel@debian.org
Cc: 560202@bugs.debian.org
Subject: Re: lxnm not installable together with lxde
Date: Fri, 18 Dec 2009 19:20:58 +0800
Dear Daniel,

Daniel Baumann wrote:
> Andrew Lee wrote:
>> The lxnm and lxpanel-netstat-plugin are both deprecated. Please feel
>> free to drop it in live-helper's lxde package list. And use wicd or
>> network-manager-gnome instead.
> 
> i've replaced it with wicd, thanks for the note.

Thanks for replaced it with wicd.

I'd send RM request for lxnm right away.

Best regards,

-Andrew




Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. (Sun, 27 Dec 2009 09:36:48 GMT) Full text and rfc822 format available.

Notification sent to Jun NOGATA <nogajun@gmail.com>:
Bug acknowledged by developer. (Sun, 27 Dec 2009 09:36:48 GMT) Full text and rfc822 format available.

Message #45 received at 560202-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 560202-done@bugs.debian.org
Subject: Package lxnm has been removed from Debian
Date: Sun, 27 Dec 2009 09:34:40 +0000
Version: 0.2.2+svn20080909-3+rm

You filled the bug http://bugs.debian.org/560202 in Debian BTS
against the package lxnm. I'm closing it at *unstable*, but it will
remain open for older distributions.

For more information about this package's removal, read
http://bugs.debian.org/561579. That bug might give the reasons why
this package was removed and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jan 2010 07:28:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:23:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.